ChangeSet 1.1148.6.3, 2003/10/06 14:44:58-07:00, henning@meier-geinitz.de

[PATCH] USB: scanner driver: added USB_CLASS_CDC_DATA (2/3)

Added test for USB_CLASS_CDC_DATA which is used by some fingerprint
scanners.


 drivers/usb/scanner.c |    2 ++
 1 files changed, 2 insertions(+)


diff -Nru a/drivers/usb/scanner.c b/drivers/usb/scanner.c
--- a/drivers/usb/scanner.c	Fri Oct 24 17:01:17 2003
+++ b/drivers/usb/scanner.c	Fri Oct 24 17:01:17 2003
@@ -381,6 +381,7 @@
  * 0.4.15  2003-10-03
  *    - Added vendor/product ids for Canon, HP, Microtek, Mustek, Siemens, UMAX, and
  *      Visioneer scanners.
+ *    - Added test for USB_CLASS_CDC_DATA which is used by some fingerprint scanners
  *
  *
  * TODO
@@ -926,6 +927,7 @@
 
 	if (interface[0].bInterfaceClass != USB_CLASS_VENDOR_SPEC &&
 	    interface[0].bInterfaceClass != USB_CLASS_PER_INTERFACE &&
+	    interface[0].bInterfaceClass != USB_CLASS_CDC_DATA &&
 	    interface[0].bInterfaceClass != SCN_CLASS_SCANJET) {
 		dbg("probe_scanner: This interface doesn't look like a scanner (class=0x%x).", interface[0].bInterfaceClass);
 		return NULL;
